AT(1)

NUME
at, batch, atq, atrm - pune la coadă, examinează sau șterge sarcini de lucru pentru o execuție ulterioară

SINOPSIS
at [-V] [-q coadă] [-f fișier] [-u nume-utilizator] [-mMlv] specificare-de-timp ..."
at [-V] [-q coadă] [-f fișier] [-u nume-utilizator] [-mMkv] [-t timp]
at -c sarcină [...]
at [-V] -l [-o format-timp] [sarcină ...]
atq [-V] [-q coadă] [-o format-timp] [sarcină ...]
at [-rd] sarcină [...]
atrm [-V] sarcină [...]
batch
at -b

DESCRIERE
at și batch citesc comenzi de la intrarea standard sau dintr-un fișier specificat care urmează să fie executate ulterior, utilizând /bin/sh.

at  execută comenzi la un moment specificat.

atq listează lucrările în așteptare ale utilizatorului, cu excepția cazului în care utilizatorul este superutilizator; în acest caz, sunt listate lucrările tuturor. Formatul liniilor de ieșire (una pentru fiecare lucrare) este următorul: numărul lucrării, data, ora, coada de așteptare și numele de utilizator.

atrm
    șterge sarcinile de lucru, identificate prin numărul de sarcină al acestora.

batch
    execută comenzile atunci când nivelul de încărcare a sistemului permite acest lucru; cu alte cuvinte, atunci când media de încărcare scade sub 0,8, sau valoarea specificată în apelul atd.

at permite specificații temporale destul de complexe, extinzând standardul POSIX.2. Acceptă ore de forma HH:MM pentru a executa o sarcină la o anumită oră din zi; (dacă ora respectivă a trecut deja, se presupune că este ziua următoare). Puteți specifica, de asemenea, midnight (miezul nopții), noon (amiaza), sau teatime (ora de ceai, adică 4PM/16:00) și puteți avea o oră a zilei cu sufixul AM sau PM pentru a o executa dimineața sau seara. De asemenea, puteți preciza în ce zi va fi executată sarcina, indicând o dată de forma numele-lunii (în engleză) ziua cu un an, opțional sau indicând o dată de forma LLZZ[SS]AA, LL/ZZ/[SS]AA, ZZ.LL.[SS]AA sau [SS]AA-LL-ZZ. Specificarea unei date trebuie să urmeze specificarea orei din zi. De asemenea, se pot indica ore de tipul now(acum) + număr unități de timp, unde unitățile de timp pot fi minutes (minute), hours (ore), days (zile), sau weeks (săptămâni) și se poate indica lui at să execute sarcina astăzi prin sufixarea orei cu today(astăzi) și să o execute mâine prin sufixarea orei cu tomorrow(mâine).

De exemplu, pentru a rula o sarcină la ora 16:00 peste trei zile, puteți face at 4pm + 3 days, pentru a rula o sarcină la ora 10:00 pe 31 iulie, veți face at 10am Jul 31 și pentru a rula o sarcină la ora 1:00 mâine, veți face at 1am tomorrow.

Dacă specificați că o sarcină trebuie să se execute în mod obligatoriu la o anumită dată și oră din trecut, sarcina se va executa cât mai curând posibil. De exemplu, dacă este ora 20:00 și comanda dată este at 6pm today, acesta se va executa cel mai probabil la ora 20:05.

Definiția specificației de timp poate fi găsită în /usr/share/doc/at/timespec.

Atât pentru at, cât și pentru batch, comenzile sunt citite de la intrarea standard sau din fișierul specificat cu opțiunea -f și sunt executate. Directorul de lucru, mediul (cu excepția variabilelor BASH_VERSINFO, DISPLAY, EUID, GROUPS, SHELLOPTS, TERM, UID și _) și umask sunt păstrate la valorile din momentul invocării. Deoarece at este implementat în prezent ca un program setuid, alte variabile de mediu (de exemplu, LD_LIBRARY_PATH sau LD_PRELOAD) nu sunt exportate. Acest lucru se poate schimba în viitor. Ca o soluție de rezolvare, definiți aceste variabile în mod explicit în sarcina dumneavoastră. O comandă at - sau batch - invocată dintr-un shell su(1) va păstra userid-ul curent. Utilizatorului i se va trimite prin poșta electronică mesajele de la ieșirea de eroare standard și cele de la ieșirea standard de la comenzile sale, dacă există. Corespondența va fi trimisă folosind comanda /usr/bin/sendmail. Dacă at este executată dintr-un shell su(1), proprietarul shell-ului de conectare va primi corespondența.

Superutilizatorul poate utiliza aceste comenzi în orice caz. Pentru ceilalți utilizatori, permisiunea de a utiliza «at» este determinată de fișierele /etc/at.allow și /etc/at.deny. Pentru detalii, consultați at.allow(5).

OPȚIUNI

-V  afișează numărul versiunii la ieșirea de eroare standard și iese cu succes.

-q coadă
    utilizează coada de așteptare specificată. O denumire de coadă constă într-o singură literă; denumirile de coadă valide variază de la a la z și de la A la Z. Coada a este cea implicită pentru at și coada b pentru batch. Cozile cu litere mai mari rulează cu un nivel de curtoazie sporit. Coada specială „=” este rezervată pentru sarcinile care sunt în curs de execuție.

În cazul în care o sarcină este trimisă la o coadă de așteptare desemnată cu o literă majusculă, sarcina este tratată ca și cum ar fi fost trimisă la batch în momentul efectuării acesteia. Odată ce se atinge momentul, se aplică regulile de procesare pe loturi în ceea ce privește media de încărcare. Dacă atq primește o anumită coadă de așteptare, va afișa numai lucrările în așteptare din coada respectivă.

-m  Trimite un mesaj utilizatorului atunci când sarcina a fost finalizată, chiar dacă nu a existat niciun rezultat.

-M  Nu trimite niciodată mesaje către utilizator.

-u nume-utilizator
    Trimite corespondența către nume-utilizator în loc de utilizatorul curent.

-f fișier
    Citește sarcina din fișier în loc de la intrarea standard.

-t timp
    execută sarcina la timpul, dat în formatul [[SS]AA]LLZZhhmm[.ss]

-l  Este un alias pentru atq.

-r  Este un alias pentru atrm.

-d  Este un alias pentru atrm.

-b  Este un alias pentru batch.

-v  Afișează timpul în care va fi executată sarcina înainte de citirea acesteia.

Timpul afișat va fi în formatul „Thu Feb 20 14:50:00 1997”.

-c  afișează sarcinile listate în linia de comandă la ieșirea standard.

-o fmt
    format de timp în stil strftime() utilizat pentru lista de sarcini

FIȘIERE
/var/spool/atd
/var/spool/atd
/proc/loadavg
/var/run/utmp
/etc/at.allow
/etc/at.deny

CONSULTAȚI ȘI
at.allow(5), at.deny(5), atd(8), cron(1), nice(1), sh(1), umask(2).

ERORI
Funcționarea corectă a batch pentru Linux depinde de prezența unui director de tip proc- montat pe /proc.

Dacă fișierul /var/run/utmp nu este disponibil sau este corupt, sau dacă utilizatorul nu este conectat în momentul în care at este invocat, corespondența este trimisă către userid-ul găsit în variabila de mediu LOGNAME. În cazul în care aceasta este nedefinită sau goală, se presupune că se utilizează userid-ul curent.

at și batch, așa cum sunt implementate în prezent, nu sunt adecvate atunci când utilizatorii sunt în competiție pentru resurse. Dacă acesta este cazul sistemului dumneavoastră, ar trebui să luați în considerare un alt sistem de loturi («batch»), cum ar fi nqs.

AUTOR
At a fost scris în mare parte de Thomas Koenig.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.